datablock TSShapeConstructor(WonderChomperDts)
{
	baseShape  = "./Chomper.dts";
	sequence0  = "./chomp_walk.dsq root";

	sequence1  = "./chomp_walk.dsq run";
	sequence2  = "./chomp_walk.dsq walk";
	sequence3  = "./chomp_walk.dsq back";
	sequence4  = "./chomp_walk.dsq side";

	sequence6  = "./chomp_walk.dsq crouchrun";
	sequence7  = "./chomp_walk.dsq crouchback";
	sequence8  = "./chomp_walk.dsq crouchside";

	sequence23 = "./chomp_death1.dsq death1";
};    

datablock PlayerData(PlayerWonderChomper : PlayerStandardArmor)
{

   shapeFile = "./Chomper.dts";

		maxForwardSpeed = 10;
		maxBackwardSpeed = 8;
		maxSideSpeed = 8;
   canJet = 0;
   uiName = "Wonderland Chomper";
   maxDamage = 100;
   boundingBox = "5 5 8";
   crouchboundingBox = "5 5 8";
 };

AddDamageType("WonderChomper", '%1 was slain by a Chomper!', '%1 was slain by Chomper %2!', 1, 1);

package WonderChomperAttack
{
	function Armor::onCollision(%this, %obj, %col, %fade, %pos, %normal)
	{
		%ret = Parent::onCollision(%this, %obj, %col, %fade, %pos, %normal);
		if(!isObject(%obj) || !isObject(%col))
			return %ret;
		if(%col.getDatablock().getID() == PlayerWonderChomper.getID() && %obj.getDatablock().getID() != PlayerWonderChomper.getID())
		{
			if(minigameCanDamage(%col, %obj) && %col.getState() !$= "DEAD")
			{
				if(isObject(%cl = %obj.client) && %cl.name !$= "")
					%obj.damage(%obj, %col.position, 100, $DamageType::WonderChomper);  //%proj, %pos, %damage, %dmgType
				else
					%obj.damage(0, %col.position, 100, $DamageType::WonderChomper);  //%proj, %pos, %damage, %dmgType
				%obj.applyImpulse(%col.position, vectorScale(vectorNormalize(vectorSub(vectorAdd(%obj.position, "0 0 1"), %col.position)), 1000));
			}
		}
		return %ret;
	}
};
activatePackage("WonderChomperAttack");